<?php

namespace KupShop\BankAutoPaymentBundle\AdminRegister;

use KupShop\AdminBundle\AdminRegister\AdminRegister;
use KupShop\AdminBundle\AdminRegister\IAdminRegisterDynamic;
use KupShop\BankAutoPaymentBundle\BankAutoPaymentBundle;

class BankAutoPaymentAdminRegister extends AdminRegister implements IAdminRegisterDynamic
{
    public function getActivityLogTags(): array
    {
        return [
            static::createActivityLogTag(BankAutoPaymentBundle::LOG_TAG_FIO, 'Fio'),
            static::createActivityLogTag(BankAutoPaymentBundle::LOG_TAG_EVERIFIN, 'Everifin'),
            static::createActivityLogTag(BankAutoPaymentBundle::LOG_TAG_ADYEN, 'Adyen'),
        ];
    }
}
